import React from "react";

const CommentForm = ({ newComment, setNewComment, handleSubmit }) => (
  <form onSubmit={handleSubmit} className="mb-4">
    <div className="flex gap-2">
      <input
        type="text"
        value={newComment}
        onChange={(e) => setNewComment(e.target.value)}
        placeholder="Write a comment..."
        className="flex-1 px-4 py-2 border rounded-full focus:outline-none focus:ring-2 focus:ring-blue-500"
      />
      <button
        type="submit"
        disabled={!newComment.trim()}
        className="px-6 py-2 bg-blue-500 text-white rounded-full hover:bg-blue-600 disabled:bg-gray-300 disabled:cursor-not-allowed"
      >
        Post
      </button>
    </div>
  </form>
);

export default CommentForm;
