import React from "react";
import { X } from "lucide-react";

const CommentsModal = ({ showComments, setShowComments, comments }) => {
  if (!showComments) return null;

  return (
    <div className="fixed inset-0 bg-black bg-opacity-50 flex items-center justify-center p-4 z-50">
      <div className="bg-white rounded-lg w-full max-w-lg max-h-[80vh] overflow-hidden">
        <div className="p-4 border-b flex justify-between items-center">
          <h3 className="text-xl font-semibold">Comments ({comments.length})</h3>
          <button
            onClick={() => setShowComments(false)}
            className="text-gray-500 hover:text-gray-700"
          >
            <X size={24} />
          </button>
        </div>
        <div className="overflow-y-auto p-4">
          {comments.length === 0 ? (
            <p className="text-center text-gray-500">No comments yet</p>
          ) : (
            <div className="space-y-4">
              {comments.map((comment, index) => (
                <div key={index} className="flex gap-3">
                  <div className="w-8 h-8 rounded-full bg-gray-200"></div>
                  <div className="flex-1">
                    <div className="bg-gray-100 rounded-lg p-3">
                      <p className="text-gray-700">{comment.text}</p>
                    </div>
                  </div>
                </div>
              ))}
            </div>
          )}
        </div>
      </div>
    </div>
  );
};

export default CommentsModal;
